%bcond_without all_codecs
%ifarch x86_64
%bcond_without vmaf
%else
%bcond_with vmaf
%endif
%bcond_with omxil
%bcond_without flite
%bcond_without lcms2
%bcond_without placebo
%bcond_with chromaprint
%bcond_with rtmp
%bcond_with x264
%bcond_with x265
%bcond_with amf
%bcond_with caca
%bcond_with frei0r
%bcond_with iec61883
%bcond_with ilbc
%bcond_with modplug
%bcond_with opencore
%bcond_with vapoursynth
%bcond_with vo-amrwbenc
%bcond_with vpl
%bcond_with xvid
%bcond_with samba
%bcond_with rabbitmq
%bcond_with zmq
%bcond_with gme
# need vulkan >= 1.3.255
%bcond_without vulkan
%bcond_without zvbi

%global av_codec_soversion 61
%global av_device_soversion 61
%global av_filter_soversion 10
%global av_format_soversion 61
%global av_util_soversion 59
%global postproc_soversion 58
%global swresample_soversion 5
%global swscale_soversion 8


Summary:        A complete, cross-platform solution to record, convert and stream audio and video
Name:           ffmpeg
Version:        7.0.2
Release:        2%{?dist}
License:        GPL-3.0-or-later
URL:            https://ffmpeg.org/
Source0:        https://www.ffmpeg.org/releases/%{name}-%{version}.tar.xz
# By ffmpeg_get_dlopen_headers.sh
Source1:        ffmpeg-dlopen-headers.tar.xz
Source2:        enable_decoders
Source3:        enable_encoders

Patch0001:      CVE-2025-0518.patch

Patch3000:      ffmpeg-codec-choice.patch
Patch3001:      ffmpeg-allow-fdk-aac-free.patch
# Set up dlopen for openh264
Patch3002:      ffmpeg-dlopen-openh264.patch

BuildRequires:  gcc make nasm perl(Pod::Man) libgcrypt-devel texinfo libstdc++-devel
BuildRequires:  ladspa-devel lame-devel libmysofa-devel gsm-devel
BuildRequires:  libX11-devel libXext-devel libXv-devel fdk-aac-free-devel
BuildRequires:  pkgconfig(bzip2) pkgconfig(fontconfig) pkgconfig(freetype2) pkgconfig(zlib)
BuildRequires:  pkgconfig(libssh) pkgconfig(gnutls) pkgconfig(sdl2)
BuildRequires:  pkgconfig(snappy) pkgconfig(codec2) pkgconfig(dav1d)
BuildRequires:  pkgconfig(ffnvcodec) pkgconfig(flac) pkgconfig(jack) pkgconfig(smbclient)
BuildRequires:  pkgconfig(fribidi) pkgconfig(alsa) pkgconfig(aom)
BuildRequires:  pkgconfig(libdrm) pkgconfig(gl)
BuildRequires:  pkgconfig(libass) pkgconfig(libbluray) pkgconfig(libbs2b)
BuildRequires:  pkgconfig(libcdio) pkgconfig(libcdio_paranoia)
BuildRequires:  pkgconfig(libjxl) >= 0.7.0
BuildRequires:  pkgconfig(libopenjp2) pkgconfig(libopenmpt) pkgconfig(libpulse)
BuildRequires:  pkgconfig(librist) pkgconfig(librsvg-2.0) pkgconfig(libv4l2)
BuildRequires:  pkgconfig(libva) pkgconfig(libva-drm) pkgconfig(libva-x11)
BuildRequires:  pkgconfig(libwebp) pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(lilv-0) pkgconfig(lv2) pkgconfig(ogg)
BuildRequires:  pkgconfig(openal) pkgconfig(OpenCL)
BuildRequires:  pkgconfig(opus) pkgconfig(rav1e) pkgconfig(rubberband)
BuildRequires:  pkgconfig(soxr) pkgconfig(speex) pkgconfig(srt) pkgconfig(vorbis)
BuildRequires:  pkgconfig(tesseract) pkgconfig(theora) pkgconfig(twolame) pkgconfig(wavpack)
BuildRequires:  pkgconfig(vdpau) pkgconfig(vidstab) pkgconfig(vpx)
BuildRequires:  pkgconfig(xcb) pkgconfig(xcb-render) pkgconfig(xcb-shape) pkgconfig(xcb-shm) pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(zimg)
BuildRequires:  pkgconfig(shaderc) >= 2019.1
BuildRequires:  pkgconfig(SvtAv1Enc) >= 0.9.0
BuildRequires:  pkgconfig(libdc1394-2)
# BuildRequires:  pkgconfig(libavc1394) pkgconfig(netcdf) pkgconfig(schroedinger-1.0)

%if %{with gme}
BuildRequires:  pkgconfig(libgme)
%endif
%if %{with zvbi}
BuildRequires: pkgconfig(zvbi-0.2)
%endif
%if %{with zmq}
BuildRequires: pkgconfig(libzmq)
%endif
%if %{with rabbitmq}
BuildRequires: pkgconfig(librabbitmq)
%endif
%if %{with vpl}
BuildRequires:  pkgconfig(vpl) >= 2.6
%endif
%if %{with vulkan}
BuildRequires: pkgconfig(vulkan)
%endif
%if %{with vmaf}
BuildRequires:  pkgconfig(libvmaf)
%endif
%if %{with omxil}
BuildRequires:  pkgconfig(libomxil-bellagio)
%endif
%if %{with flite}
BuildRequires:  flite-devel >= 2.2
%endif
%if %{with lcms2}
BuildRequires:  pkgconfig(lcms2) >= 2.13
%endif
%if %{with placebo}
BuildRequires:  pkgconfig(libplacebo) >= 4.192.0
%endif
%if %{with chromaprint}
BuildRequires:  pkgconfig(libchromaprint)
%endif
%if %{with rtmp}
BuildRequires:  librtmp-devel
%endif
%if %{with x264}
BuildRequires:  pkgconfig(x264)
%endif
%if %{with x265}
BuildRequires:  pkgconfig(x265)
%endif
%if %{with amf}
BuildRequires: AMF-devel
%endif
%if %{with caca}
BuildRequires: pkgconfig(caca)
%endif
%if %{with frei0r}
BuildRequires: pkgconfig(frei0r)
%endif
%if %{with iec61883}
BuildRequires: pkgconfig(libiec61883)
%endif
%if %{with ilbc}
BuildRequires: pkgconfig(libilbc)
%endif
%if %{with modplug}
BuildRequires: pkgconfig(libmodplug)
%endif
%if %{with opencore}
BuildRequires: pkgconfig(opencore-amrnb)
%endif
%if %{with vapoursynth}
BuildRequires: pkgconfig(vapoursynth)
%endif
%if %{with vo-amrwbenc}
BuildRequires: pkgconfig(vo-amrwbenc)
%endif
%if %{with xvid}
BuildRequires: xvidcore-devel
%endif

Requires:       libavcodec = %{version}-%{release}
Requires:       libavdevice = %{version}-%{release}
Requires:       libavfilter = %{version}-%{release}
Requires:       libavformat = %{version}-%{release}
Requires:       libavutil = %{version}-%{release}
Requires:       libpostproc = %{version}-%{release}
Requires:       libswresample = %{version}-%{release}
Requires:       libswscale = %{version}-%{release}

ExcludeArch: loongarch64

%description
FFmpeg is a collection of libraries and tools to process multimedia content
such as audio, video, subtitles and related metadata.
Libraries:
1.libavcodec provides implementation of a wider range of codecs.
2.libavformat implements streaming protocols, container formats and basic I/O access.
3.libavutil includes hashers, decompressors and miscellaneous utility functions.
4.libavfilter provides means to alter decoded audio and video through a directed graph of connected filters.
5.libavdevice provides an abstraction to access capture and playback devices.
6.libswresample implements audio mixing and resampling routines.
7.libswscale implements color conversion and scaling routines.
Tools:
1.ffmpeg is a command line toolbox to manipulate, convert and stream multimedia content.
2.ffplay is a minimalistic multimedia player.
3.ffprobe is a simple analysis tool to inspect multimedia content.
4.Additional small tools such as aviocat, ismindex and qt-faststart.

%if %{without all_codecs}
This build of ffmpeg is limited in the number of codecs supported.
%endif


%package -n     %{name}-devel
Summary:        Development package for %{name}
Requires:       libavcodec-devel = %{version}-%{release}
Requires:       libavdevice-devel = %{version}-%{release}
Requires:       libavfilter-devel = %{version}-%{release}
Requires:       libavformat-devel = %{version}-%{release}
Requires:       libavutil-devel = %{version}-%{release}
Requires:       libpostproc-devel = %{version}-%{release}
Requires:       libswresample-devel = %{version}-%{release}
Requires:       libswscale = %{version}-%{release}
Requires:       pkgconfig

%description -n %{name}-devel
FFmpeg is a collection of libraries and tools to process multimedia content
such as audio, video, subtitles and related metadata.
This is development package for %{name}.


%package -n libavcodec
Summary:        FFmpeg codec library
Requires:       libavutil = %{version}-%{release}
Requires:       libswresample = %{version}-%{release}
Recommends:     libopenh264.so.7()(64bit)

%description -n libavcodec
The libavcodec library provides a generic encoding/decoding framework
and contains multiple decoders and encoders for audio, video and
subtitle streams, and several bitstream filters.

%if %{without all_codecs}
This build of ffmpeg is limited in the number of codecs supported.
%endif


%package -n libavcodec-devel
Summary:        Development files for FFmpeg's codec library
Requires:       libavutil-devel = %{version}-%{release}
Requires:       libavcodec = %{version}-%{release}
Requires:       pkgconfig

%description -n libavcodec-devel
The libavcodec library provides a generic encoding/decoding framework
and contains multiple decoders and encoders for audio, video and
subtitle streams, and several bitstream filters.

This subpackage contains the headers for FFmpeg libavcodec.


%package -n libavdevice
Summary:        FFmpeg device library
Requires:       libavcodec = %{version}-%{release}
Requires:       libavfilter = %{version}-%{release}
Requires:       libavformat = %{version}-%{release}
Requires:       libavutil = %{version}-%{release}

%description -n libavdevice
The libavdevice library provides a generic framework for grabbing from
and rendering to many common multimedia input/output devices, and
supports several input and output devices, including Video4Linux2, VfW,
DShow, and ALSA.


%package -n libavdevice-devel
Summary:        Development files for FFmpeg's device library
Requires:       libavcodec-devel = %{version}-%{release}
Requires:       libavfilter-devel = %{version}-%{release}
Requires:       libavformat-devel = %{version}-%{release}
Requires:       libavutil-devel = %{version}-%{release}
Requires:       libpostproc-devel = %{version}-%{release}
Requires:       libswresample-devel = %{version}-%{release}
Requires:       libswscale-devel = %{version}-%{release}
Requires:       libavdevice = %{version}-%{release}
Requires:       pkgconfig

%description -n libavdevice-devel
The libavdevice library provides a generic framework for grabbing from
and rendering to many common multimedia input/output devices, and
supports several input and output devices, including Video4Linux2, VfW,
DShow, and ALSA.

This subpackage contains the headers for FFmpeg libavdevice.


%package -n libavfilter
Summary:        FFmpeg audio and video filtering library
Requires:       libavcodec = %{version}-%{release}
Requires:       libavformat = %{version}-%{release}
Requires:       libavutil = %{version}-%{release}
Requires:       libpostproc = %{version}-%{release}
Requires:       libswresample = %{version}-%{release}
Requires:       libswscale = %{version}-%{release}

%description -n libavfilter
The libavfilter library provides a generic audio/video filtering
framework containing several filters, sources and sinks.


%package -n libavfilter-devel
Summary:        Development files for FFmpeg's audio/video filter library
Requires:       libavcodec = %{version}-%{release}
Requires:       libavformat = %{version}-%{release}
Requires:       libavutil = %{version}-%{release}
Requires:       libpostproc = %{version}-%{release}
Requires:       libswresample = %{version}-%{release}
Requires:       libswscale = %{version}-%{release}
Requires:       libavfilter = %{version}-%{release}
Requires:       pkgconfig

%description -n libavfilter-devel
The libavfilter library provides a generic audio/video filtering
framework containing several filters, sources and sinks.

This subpackage contains the headers for FFmpeg libavfilter.


%package -n libavformat
Summary:        FFmpeg's stream format library
Requires:       libavcodec = %{version}-%{release}
Requires:       libavutil = %{version}-%{release}

%description -n libavformat
The libavformat library provides a generic framework for multiplexing
and demultiplexing (muxing and demuxing) audio, video and subtitle
streams. It encompasses multiple muxers and demuxers for multimedia
container formats.

%if %{without all_codecs}
This build of ffmpeg is limited in the number of codecs supported.
%endif


%package -n libavformat-devel
Summary:        Development files for FFmpeg's stream format library
Requires:       libavcodec-devel = %{version}-%{release}
Requires:       libavutil-devel = %{version}-%{release}
Requires:       libswresample-devel = %{version}-%{release}
Requires:       libavformat = %{version}-%{release}
Requires:       pkgconfig

%description -n libavformat-devel
The libavformat library provides a generic framework for multiplexing
and demultiplexing (muxing and demuxing) audio, video and subtitle
streams. It encompasses multiple muxers and demuxers for multimedia
container formats.

This subpackage contains the headers for FFmpeg libavformat.


%package -n libavutil
Summary:        FFmpeg's utility library

%description -n libavutil
The libavutil library is a utility library to aid portable multimedia
programming. It contains safe portable string functions, random
number generators, data structures, additional mathematics functions,
cryptography and multimedia related functionality (like enumerations
for pixel and sample formats).


%package -n libavutil-devel
Summary:        Development files for FFmpeg's utility library
Requires:       libavutil = %{version}-%{release}
Requires:       pkgconfig

%description -n libavutil-devel
The libavutil library is a utility library to aid portable multimedia
programming. It contains safe portable string functions, random
number generators, data structures, additional mathematics functions,
cryptography and multimedia related functionality (like enumerations
for pixel and sample formats).

This subpackage contains the headers for FFmpeg libavutil.


%package -n libpostproc
Summary:        FFmpeg post-processing library
Requires:       libavutil = %{version}-%{release}

%description -n libpostproc
A library with video postprocessing filters, such as deblocking and
deringing filters, noise reduction, automatic contrast and brightness
correction, linear/cubic interpolating deinterlacing.


%package -n libpostproc-devel
Summary:        Development files for the FFmpeg post-processing library
Requires:       libavutil-devel = %{version}-%{release}
Requires:       libpostproc = %{version}-%{release}
Requires:       pkgconfig

%description -n libpostproc-devel
A library with video postprocessing filters, such as deblocking and
deringing filters, noise reduction, automatic contrast and brightness
correction, linear/cubic interpolating deinterlacing.

This subpackage contains the headers for FFmpeg libpostproc.


%package -n libswresample
Summary:        FFmpeg software resampling library
Requires:       libavutil = %{version}-%{release}

%description -n libswresample
The libswresample library performs audio conversion between different
sample rates, channel layout and channel formats.


%package -n libswresample-devel
Summary:        Development files for the FFmpeg software resampling library
Requires:       libavutil-devel = %{version}-%{release}
Requires:       libswresample = %{version}-%{release}

%description -n libswresample-devel
The libswresample library performs audio conversion between different
sample rates, channel layout and channel formats.

This subpackage contains the headers for FFmpeg libswresample.


%package -n libswscale
Summary:        FFmpeg image scaling and colorspace/pixel conversion library
Requires:       libavutil = %{version}-%{release}

%description -n libswscale
The libswscale library performs image scaling and colorspace and
pixel format conversion operations.


%package -n libswscale-devel
Summary:        Development files for FFmpeg's image scaling and colorspace library
Provides:       libswscale-devel = %{version}-%{release}
Conflicts:      libswscale-devel < %{version}-%{release}
Requires:       libavutil-devel = %{version}-%{release}
Requires:       libswscale = %{version}-%{release}

%description -n libswscale-devel
The libswscale library performs image scaling and colorspace and
pixel format conversion operations.

This subpackage contains the headers for FFmpeg libswscale.


%prep
%autosetup -a1 -p1
install -m 0644 %{SOURCE2} enable_decoders
install -m 0644 %{SOURCE3} enable_encoders

sed -i "s|check_host_cflags -O3|check_host_cflags %{optflags}|" configure

install -m 0755 -d _doc/examples
cp -a doc/examples/{*.c,Makefile,README} _doc/examples/


%build
./configure \
    --prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --libdir=%{_libdir} \
    --incdir=%{_includedir}/%{name} \
    --datadir=%{_datadir}/%{name} \
    --docdir=%{_docdir}/%{name} \
    --mandir=%{_mandir} \
    --optflags="%{build_cflags}" \
    --extra-ldflags="%{build_ldflags}" \
    --enable-pic \
    --disable-stripping \
    --enable-shared \
    --disable-static \
    --enable-lto \
    --disable-htmlpages \
    --enable-gpl \
    --enable-version3 \
%if %{with samba}
    --enable-libsmbclient \
%endif
    --disable-openssl \
    --enable-gcrypt \
    --enable-gnutls \
    --enable-ladspa \
    --enable-bzlib \
    --enable-libshaderc \
%if %{with vulkan}
    --enable-vulkan \
%else
    --disable-vulkan \
%endif
    --disable-cuda-sdk \
    --enable-libaom \
    --enable-libass \
    --enable-libbluray \
    --enable-libbs2b \
    --enable-libcdio \
    --enable-libcodec2 \
    --enable-libdav1d \
    --enable-libdc1394 \
    --enable-libdrm \
    --enable-libfdk-aac \
    --enable-libfontconfig \
    --enable-libfreetype \
    --enable-libfribidi \
%if %{with gme}
    --enable-libgme \
%endif
    --enable-libgsm \
    --enable-libjack \
    --enable-libjxl \
    --enable-libmp3lame \
    --enable-libmysofa \
    --enable-libopenjpeg \
    --enable-libopenmpt \
    --enable-libopenh264-dlopen \
    --enable-libopus \
    --enable-libpulse \
%if %{with rabbitmq}
    --enable-librabbitmq \
%endif
    --enable-librav1e \
    --enable-librist \
    --enable-librsvg \
    --enable-librubberband \
    --enable-libsnappy \
    --enable-libsvtav1 \
    --enable-libsoxr \
    --enable-libspeex \
    --enable-libssh \
    --enable-libsrt \
    --enable-libtesseract \
    --enable-libtheora \
    --enable-libtwolame \
    --enable-libvidstab \
    --enable-libvorbis \
    --enable-libv4l2 \
    --enable-libvpx \
    --enable-libwebp \
    --enable-libxml2 \
    --enable-libzimg \
%if %{with zmq}
    --enable-libzmq \
%endif
%if %{with zvbi}
    --enable-libzvbi \
%endif
    --enable-lv2 \
    --enable-vaapi \
    --enable-vdpau \
    --enable-openal \
    --enable-opencl \
    --enable-opengl \
    --enable-pthreads \
%if %{without all_codecs}
    --enable-muxers \
    --enable-demuxers \
    --enable-hwaccels \
    --disable-encoders \
    --disable-decoders \
    --disable-decoder="h264,hevc,vc1" \
    --enable-encoder="$(perl -pe 's{^(\w*).*}{$1,}gs' <enable_encoders)" \
    --enable-decoder="$(perl -pe 's{^(\w*).*}{$1,}gs' <enable_decoders)" \
%endif
%if %{with vpl}
    --enable-libvpl \
%endif
%if %{with vmaf}
    --enable-libvmaf \
%endif
%if %{with flite}
    --enable-libflite \
%endif
%if %{with lcms2}
    --enable-lcms2 \
%endif
%if %{with placebo}
    --enable-libplacebo \
%endif
%if %{with chromaprint}
    --enable-chromaprint \
%else
    --disable-chromaprint \
%endif
%if %{with librtmp}
    --enable-librtmp \
%endif
%if %{with x264}
    --enable-libx264 \
%endif
%if %{with x265}
    --enable-libx265 \
%endif
%if %{with amf}
    --enable-amf \
%endif
%if %{with caca}
    --enable-libcaca \
%endif
%if %{with frei0r}
    --enable-frei0r \
%endif
%if %{with iec61883}
    --enable-libiec61883 \
%endif
%if %{with ilbc}
    --enable-libilbc \
%endif
%if %{with modplug}
    --enable-libmodplug \
%endif
%if %{with opencore}
    --enable-libopencore-amrnb \
    --enable-libopencore-amrwb \
%endif
%if %{with vapoursynth}
    --enable-vapoursynth \
%endif
%if %{with vo-amrwbenc}
    --enable-libvo-amrwbenc \
%endif
%if %{with xvid}
    --enable-libxvid \
%endif
%ifarch ppc64le
    --cpu=power8 \
    --enable-pic \
%endif
%ifarch %{arm}
    --disable-runtime-cpudetect --arch=arm \
%endif
    || cat ffbuild/config.log

cat config.h
cat config_components.h

%if %{without all_codecs}
# DECODER
for i in H264 HEVC HEVC_RKMPP VC1; do
    grep -q "#define CONFIG_${i}_DECODER 0" config_components.h
done

# ENCODER
for i in LIBX264 LIBX264RGB LIBX265; do
    grep -q "#define CONFIG_${i}_ENCODER 0" config_components.h
done
for i in H264 HEVC; do
    for j in MF VIDEOTOOLBOX; do
        grep -q "#define CONFIG_${i}_${j}_ENCODER 0" config_components.h
    done
done
%endif

%make_build V=1
%make_build documentation V=1
%make_build alltools V=1


%install
%make_install V=1

rm -rf %{buildroot}%{_datadir}/%{name}/examples


%files -n %{name}
%doc CREDITS README.md
%{_bindir}/ffmpeg
%{_bindir}/ffplay
%{_bindir}/ffprobe
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ffprobe.xsd
%{_datadir}/%{name}/libvpx-*.ffpreset
%{_mandir}/man1/ff*.1*


%files -n %{name}-devel
%doc MAINTAINERS doc/APIchanges doc/*.txt
%doc _doc/examples


%files -n libavcodec
%license COPYING.GPLv2 LICENSE.md
%{_libdir}/libavcodec.so.%{av_codec_soversion}{,.*}


%files -n libavcodec-devel
%{_libdir}/pkgconfig/libavcodec.pc
%{_libdir}/libavcodec.so
%{_includedir}/%{name}/libavcodec
%{_mandir}/man3/libavcodec.3*


%files -n libavdevice
%license COPYING.GPLv2 LICENSE.md
%{_libdir}/libavdevice.so.%{av_device_soversion}{,.*}


%files -n libavdevice-devel
%{_libdir}/pkgconfig/libavdevice.pc
%{_libdir}/libavdevice.so
%{_includedir}/%{name}/libavdevice
%{_mandir}/man3/libavdevice.3*


%files -n libavfilter
%license COPYING.GPLv2 LICENSE.md
%{_libdir}/libavfilter.so.%{av_filter_soversion}{,.*}


%files -n libavfilter-devel
%{_libdir}/pkgconfig/libavfilter.pc
%{_libdir}/libavfilter.so
%{_includedir}/%{name}/libavfilter
%{_mandir}/man3/libavfilter.3*


%files -n libavformat
%license COPYING.GPLv2 LICENSE.md
%{_libdir}/libavformat.so.%{av_format_soversion}{,.*}


%files -n libavformat-devel
%{_libdir}/pkgconfig/libavformat.pc
%{_libdir}/libavformat.so
%{_includedir}/%{name}/libavformat
%{_mandir}/man3/libavformat.3*


%files -n libavutil
%license COPYING.GPLv2 LICENSE.md
%{_libdir}/libavutil.so.%{av_util_soversion}{,.*}


%files -n libavutil-devel
%{_libdir}/pkgconfig/libavutil.pc
%{_libdir}/libavutil.so
%{_includedir}/%{name}/libavutil
%{_mandir}/man3/libavutil.3*


%files -n libpostproc
%license COPYING.GPLv2 LICENSE.md
%{_libdir}/libpostproc.so.%{postproc_soversion}{,.*}


%files -n libpostproc-devel
%{_libdir}/pkgconfig/libpostproc.pc
%{_libdir}/libpostproc.so
%{_includedir}/%{name}/libpostproc


%files -n libswresample
%license COPYING.GPLv2 LICENSE.md
%{_libdir}/libswresample.so.%{swresample_soversion}{,.*}


%files -n libswresample-devel
%{_libdir}/pkgconfig/libswresample.pc
%{_libdir}/libswresample.so
%{_includedir}/%{name}/libswresample
%{_mandir}/man3/libswresample.3*


%files -n libswscale
%license COPYING.GPLv2 LICENSE.md
%{_libdir}/libswscale.so.%{swscale_soversion}{,.*}


%files -n libswscale-devel
%{_libdir}/pkgconfig/libswscale.pc
%{_libdir}/libswscale.so
%{_includedir}/%{name}/libswscale
%{_mandir}/man3/libswscale.3*


%changelog
* Thu Feb 06 2025 cunshunxia <cunshunxia@tencent.com> - 7.0.2-2
- fix CVE-2025-0518

* Wed Aug 21 2024 cunshunxia <cunshunxia@tencent.com> - 7.0.2-1
- Upgrade to version 7.0.2 for CVE-2024-7055

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.0-5
- Rebuilt for loongarch release

* Thu Jul 25 2024 Pengda Dou <doupengda@loongson.cn> - 7.0-4
- [Type] other
- [DESC] add loongarch64 to ExcludeArch

* Tue Jun 18 2024 Rebuild Robot <rebot@opencloudos.org> - 7.0-3
- [Type] security
- [DESC] Rebuilt for libvpx

* Tue May 14 2024 Rebuild Robot <rebot@opencloudos.org> - 7.0-2
- [Type] other
- [DESC] Rebuilt for dav1d

* Mon May 06 2024 Upgrade Robot <upbot@opencloudos.tech> - 7.0-1
- Upgrade to version 7.0 fixing CVEs in 6.1.

* Tue Apr 02 2024 Rebuild Robot <rebot@opencloudos.org> - 6.1-5
- Rebuilt for svt-av1

* Wed Mar 20 2024 Rebuild Robot <rebot@opencloudos.org> - 6.1-4
- Rebuilt for dav1d

* Wed Dec 27 2023 Rebuild Robot <rebot@opencloudos.org> - 6.1-3
- Rebuilt for libdc1394

* Mon Dec 25 2023 cunshunxia <cunshunxia@tencent.com> - 6.1-2
- enable all_codecs for vulkan upgrade.

* Mon Dec 11 2023 cunshunxia <cunshunxia@tencent.com> - 6.1-1
- Upgrade to version 6.1 for CVE-2023-46407.

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0-10
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 kianli <kianli@tencent.com> - 6.0-9
- Rebuilt for v4l-utils 1.24.1

* Tue Aug 22 2023 Wang Guodong <gordonwwang@tencent.com> - 6.0-8
- Rebuilt for libva 2.19.0

* Thu Aug 17 2023 kianli@tencent.com - 6.0-7
- Rebuilt for flac 1.4.3

* Thu Aug 17 2023 kianli@tencent.com - 6.0-6
- Rebuilt for openjpeg2 2.5.0

* Thu Aug 17 2023 cunshunxia <cunshunxia@tencent.com> - 6.0-5
- Rebuilt for samba 4.18.5

* Thu Aug 17 2023 cunshunxia <cunshunxia@tencent.com> - 6.0-4
- Rebuilt for SDL2 2.28.2

* Thu Jul 20 2023 cunshunxia <cunshunxia@tencent.com> - 6.0-3
- Rebuilt for samba 4.18.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 rockerzhu <rockerzhu@tencent.com> - 6.0-1
- Initial build
